> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2023-01-01/api/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # API Reference ## Docs - [Authentication](https://docs.givechariot.com/api/authentication.md): - [Error Codes](https://docs.givechariot.com/api/errors.md): - [Software Development Kits](https://docs.givechariot.com/api/sdks.md): - [Webhooks and Events](https://docs.givechariot.com/api/webhooks.md): Listen for events on your Chariot account so your platform can automatically trigger reactions. ## API Docs - API Reference > Core Resources > Auth [Request an access token](https://docs.givechariot.com/v2023-01-01/api/auth/get-token.md) - API Reference > Core Resources > Donor Advised Funds [List Donor Advised Funds](https://docs.givechariot.com/api/donor-advised-funds/list.md) - API Reference > Core Resources > Donor Advised Funds [Get Donor Advised Fund](https://docs.givechariot.com/api/donor-advised-funds/get.md) - API Reference > Core Resources > Nonprofits [Get nonprofit by EIN](https://docs.givechariot.com/v2023-01-01/api/nonprofits/get-by-ein.md) - API Reference > Core Resources > Nonprofits [Create nonprofit](https://docs.givechariot.com/v2023-01-01/api/nonprofits/create.md) - API Reference > Core Resources > Nonprofits [Get nonprofit](https://docs.givechariot.com/v2023-01-01/api/nonprofits/get-by-id.md) - API Reference > Core Resources > Events [List Events](https://docs.givechariot.com/api/events/list.md) - API Reference > Core Resources > Events [Get Event](https://docs.givechariot.com/api/events/get.md) - API Reference > Core Resources > Event Subscriptions [List Event Subscriptions](https://docs.givechariot.com/api/event-subscriptions/list.md) - API Reference > Core Resources > Event Subscriptions [Create an Event Subscription](https://docs.givechariot.com/api/event-subscriptions/create.md) - API Reference > Core Resources > Event Subscriptions [Get an Event Subscription](https://docs.givechariot.com/api/event-subscriptions/get.md) - API Reference > Core Resources > Event Subscriptions [Update an Event Subscription](https://docs.givechariot.com/api/event-subscriptions/update.md) - API Reference > Fundraising > Connects [Create Connect](https://docs.givechariot.com/api/connects/create.md) - API Reference > Fundraising > Connects [Get Connect](https://docs.givechariot.com/api/connects/get.md) - API Reference > Fundraising > Grants [List Grants](https://docs.givechariot.com/api/grants/list.md) - API Reference > Fundraising > Grants [Create Grant](https://docs.givechariot.com/api/grants/create.md) - API Reference > Fundraising > Grants [Get Grant](https://docs.givechariot.com/api/grants/get.md) - API Reference > Fundraising > Grants [Update Grant](https://docs.givechariot.com/v2023-01-01/api/grants/update.md) - API Reference > Fundraising > Recurring Grants [List Recurring Grants](https://docs.givechariot.com/api/recurring-grants/list.md) - API Reference > Fundraising > Recurring Grants [Create Recurring Grant](https://docs.givechariot.com/api/recurring-grants/create.md) - API Reference > Fundraising > Recurring Grants [Get Recurring Grant](https://docs.givechariot.com/api/recurring-grants/get.md) - API Reference > Fundraising > Unintegrated Grants [List Unintegrated Grants](https://docs.givechariot.com/api/unintegrated-grants/list.md) - API Reference > Fundraising > Unintegrated Grants [Get Unintegrated Grant](https://docs.givechariot.com/api/unintegrated-grants/get.md) - API Reference > Fundraising > Unintegrated Grants [Update Unintegrated Grant](https://docs.givechariot.com/v2023-01-01/api/unintegrated-grants/update.md) ## OpenAPI Specification The raw OpenAPI 3.1 specification for this API is available at: - [OpenAPI JSON](https://docs.givechariot.com/v2023-01-01/api/openapi.json) - [OpenAPI YAML](https://docs.givechariot.com/v2023-01-01/api/openapi.yaml) > **Note:** This page contains both a page directory (above) and the landing page content (below). The page directory is generated for agent use and does not appear on the landing page. > For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2023-01-01/api/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # API Reference The Chariot API is organized around REST. Our API has predictable resource-oriented URLs, accepts JSON-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs. > **Issues, Ideas or Feedback** > > If you feel like something is missing from our API docs, feel free to create an **Issue** on our [OpenAPI GitHub repo](https://github.com/chariot-giving/chariot-openapi). ## API protocols and headers The Chariot API uses standard HTTP response codes to indicate status and errors. All responses come in standard JSON. The Chariot API is served over HTTPS TLS v1.2+ to ensure data privacy; HTTP and HTTPS with TLS versions below 1.2 are not supported. All requests with a payload must include a Content-Type of application/JSON and the body must be valid JSON. Every Chariot API response includes a request\_id as the `X-Request-Id` header. The request\_id is included whether the API request succeeded or failed. For faster support, include the request\_id when contacting support regarding a specific API call. ## API host ### Just Getting Started? Check out our [Development Quickstart](/guides/getting-started/quickstart) guide. ### Not a Developer? Check out our [Implementation Guide](/guides/dafpay/implementation) for a high-level overview of how to integrate Chariot into your website. **`Base URL`** ```curl Base URL https://api.givechariot.com ``` ### Client Libraries We offer a variety of client libraries to make integrating with our API easier. Check out our [Software Development Kits](/v2023-01-01/api/sdks) page for a list of available SDKs and installation instructions. #### [Software Development Kits](/v2023-01-01/api/sdks) Explore our list of client libraries and SDKs to simplify your integration with the Chariot API. Chariot has two environments: Sandbox and Production. The Sandbox environment supports only test data. All activity in the Production environment is real. Production API requests should be to `https://api.givechariot.com` and sandbox requests should be to `https://sandboxapi.givechariot.com`. When you’re getting ready to launch into production, please let us know by emailing [support@givechariot.com](mailto:support@givechariot.com) to get your production credentials. We strongly encourage you to read through the [Implementation Guide](/guides/dafpay/integrating-dafpay/checklist) to understand best practices for creating a successful DAFpay integration with Chariot.